### Method

# Gegl Node set

#### Declaration [src]

    void
    gegl_node_set (
      GeglNode* node,
      const gchar* first_property_name,
      ...
    )

#### Description [src]

Set properties on a node, possible properties to be set are the properties of the currently set operations as well as “name” and “operation”. “operation” changes the current operations set for the node, “name” doesn’t have any role internally in GEGL.

gegl_node_set (node, “brightness”, -0.2, “contrast”, 2.0, NULL);.

This method is not directly available to language bindings.

#### Parameters

`first_property_name`

  Type: `const gchar*`

  Name of the first property to set.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  Value for the first property, followed optionally by more name/value pairs, followed by NULL.